Bug 40106 - Ant build tool needed
Ant build tool needed
Product: Red Hat Linux
Classification: Retired
Component: redhat-release (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Eido Inoue
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-05-10 13:35 EDT by Daniel L. Rall
Modified: 2008-05-01 11:38 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-04 14:26:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel L. Rall 2001-05-10 13:35:33 EDT
Description of Problem:
Ant, the cross platform build tool from the Apache-Jakarta project, is not
currently included with the RedHat distribution.  It has become as
ubiquitous a build tool for open source Java projects as gmake is for
native code projects.  It's absence is a defficiency in the development
tools available from the RedHat distribution.  At the very least, it should
be included with the PowerTools conglomeration.

Including Ant in the distrubtion will help developers and people who want
to play with Java source code get things done.  I look forward to its
inclusion, and to the day I can type `ant` to build my Java code just as I
can type `make` to build my C code.
Comment 1 Jeffrey D. Brekke 2001-05-10 14:51:13 EDT

We are using ant exclusively for our internal java development and continous
integration efforts along with all the open source java projects we use and
contribute to.
Comment 2 Jeffrey D. Brekke 2001-05-10 14:52:57 EDT

We are using ant exclusively for our internal java development and continous
integration efforts along with all the open source java projects we use and
contribute to.
Comment 3 Bill Nottingham 2001-05-10 16:03:57 EDT
website/download location?
Comment 4 Daniel L. Rall 2001-05-10 18:25:03 EDT
The Ant site is at <http://jakarta.apache.org/ant/>.  Anonymous CVS, daily
builds, and released versions are available around the Jakarta site proper, in
addition to user and dev mailing lists, and CVSweb.
Comment 5 Daniel L. Rall 2001-05-10 18:26:40 EDT
Here's a link to the latest released build, which is currently the most widely
used version:

Comment 6 Daniel L. Rall 2001-05-16 05:46:44 EDT
RPMs and .spec files are always nice.  Josh Lucas provides:

There is an Ant rpm at http://releng.tigris.org, in the Downloads
section.  It puts all of the necessary jars into /usr/lib/java/lib and
puts the scripts into /usr/lib/java/bin, sets the ANT_HOME env var to
/usr/lib/java and puts the jars into your classpath. Forgive the paths
but they are legacy for Tigris.

If you would like the jars and scripts to be somewhere else, let me know
and I can easily and quickly roll a new rpm.  This particular one was
built from cvs code last week.

Comment 7 Bill Nottingham 2001-06-19 16:35:11 EDT
Nalin or Tim, opinions?
Comment 8 Need Real Name 2001-06-19 17:44:14 EDT
ant:make::cvs:rcs  :)

Ant is really catching on.  It seems that everyone I talk to about java 
development is using ant.  People at anything from a top technology company to 
new open source projects.  It seemed that the world has been ready for a better 
build system for some time now, and when one became available everyone is 
jumping on.  Including it in the distro would make for one less step, and that 
should make everyone happy and help make it easier for people using ant to know 
that potential collaborators will have the needed tools.
Comment 9 Shane Owenby 2001-06-19 17:54:47 EDT
For a bit more info on Ant see:

The quote that should matter to Redhat is this:

Integrate testing into the build with Ant:

The Jakarta Project refers to the Ant tool as the "make without make's
Ant is becoming the de facto standard in the open-source world. The reason is
Ant is written in the Java language, which allows the build process to work on
platforms. This feature simplifies collaboration between programmers on separate
OS platforms,
 a requirement for the open-source community.


Comment 10 Daniel L. Rall 2001-09-04 14:56:26 EDT
Ant 1.4 has been released.
Comment 11 Bill Nottingham 2002-01-23 22:17:41 EST
Assigning to people dealing with java and related things.
Comment 12 Daniel L. Rall 2002-01-24 12:31:00 EST
Ant 1.4.1 has been released, and is a good release to for Ant's introduction
into rawhide.
Comment 13 Eido Inoue 2003-01-04 14:26:54 EST
going to drop the priority and defer this one. Step one seems to be better Java

Note You need to log in before you can comment on or make changes to this bug.